package cn.superdesk.uniorder.pattern.state.invoice.supplier.invoiceApplySupplier.makeInvoiceStatus.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceApplySupplierFieldMakeInvoiceStatusState {

	// 供应商|商户 未开票 侨城汇-运营 从对账单 一键分票操作后创建的开票申请  -> 状态 -> 未开票(0, "未开票"),
	void opInit();

	// 供应商|商户 op确认开票 已开票 -> 状态 -> 已开票(1, "已开票"),
	void opComplete();

	// 供应商|商户 op撤消开票 已撤消 -> 状态 -> 已撤消(2, "已撤消"),
	void opBecomeInvalid();

}
